GET /oauth/usage_history
Requires an Account Resource access token with the usage_history scope.
REST API overview · OpenAPI JSON · OpenAPI YAML
| Stability | Authentication | Cost | Operation ID |
|---|---|---|---|
| Published | OAuth Account Resource access token | Free | oauth_usage_history_api_v1_oauth_usage_history_get |
| Name | Location | Required | Type | Description |
|---|---|---|---|---|
start_date | query | No | string | null | — |
end_date | query | No | string | null | — |
event_type | query | No | string | null | — |
kind | query | No | string | null | — |
success | query | No | boolean | null | — |
billable_success | query | No | boolean | null | — |
outcome | query | No | string | null | — |
reason_code | query | No | string | null | — |
has_execution_outcome | query | No | boolean | null | — |
charge_outcome | query | No | string | null | — |
anomaly | query | No | string | null | — |
search_id | query | No | string | null | — |
execution_id | query | No | string | null | — |
api_key_id | query | No | string | null | — |
oauth_client_id | query | No | string | null | — |
credential_type | query | No | string | null | — |
page | query | No | integer | — |
page_size | query | No | integer | — |
include_details | query | No | boolean | — |
min_credits | query | No | number | null | — |
max_credits | query | No | number | null | — |
bucket | query | No | string | null | — |
summary | query | No | boolean | — |
limit | query | No | integer | null | — |
This operation has no JSON request body.
curl --request GET \
--url "https://qveris.ai/api/v1/oauth/usage_history" \
--header "Authorization: Bearer $QVERIS_ACCOUNT_ACCESS_TOKEN"
const response = await fetch("https://qveris.ai/api/v1/oauth/usage_history", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.QVERIS_ACCOUNT_ACCESS_TOKEN}`,
},
})
if (!response.ok) throw new Error(`QVeris request failed: ${response.status}`)
console.log(await response.json())
import os
import requests
response = requests.request(
"GET",
"https://qveris.ai/api/v1/oauth/usage_history",
headers={"Authorization": f"Bearer {os.environ['QVERIS_ACCOUNT_ACCESS_TOKEN']}"},
timeout=30,
)
response.raise_for_status()
print(response.json())
| Status | Meaning | Schema |
|---|---|---|
200 | Successful Response | APIResponse_UsageEventsResponse_ |
422 | Validation Error | HTTPValidationError |
{
"status": "string",
"message": "string"
}
POST Discover capabilities · POST Inspect capabilities · POST Probe a capability · POST Call a capability
Was this page helpful?